#!/bin/sh
DIR=$(dirname $0)
MODEL=$1
BACKEND_PORT=${2:-6666}  # for communication with outside
SERVING_PORT=${3:-8002}  # communication of backend wrapper with TF Serving daemon
tensorflow_model_server \
    --port=$SERVING_PORT \
    --model_config_file=/translation/models/model.config.$MODEL \
    --enable_batching=true \
    --batching_parameters_file=/translation/models/batching.config &
sleep 15  # Wait for the server to start
python3 /translation/t2t-serving-adapter.py \
    --models $MODEL \
    --port=$BACKEND_PORT \
    --max_request_size=1024000 \
    --tfserving_host=localhost \
    --tfserving_port=$SERVING_PORT
